/**
 * The control is used by the FormFiller feature.
 **/
export declare class DateTimeHelper {
    inputValue: string;
    type?: string | undefined;
    isEmpty: boolean;
    isValid: boolean;
    private hasTime;
    private timeOnly;
    constructor(inputValue: string, type?: string | undefined);
    get pickerMode(): 'date' | 'date-time' | undefined;
    get placeholder(): string;
    /**
     * Display date format.
     * */
    get dateFormat(): string | undefined;
    /**
     * Display time format.
     * */
    get timeFormat(): string | undefined;
    setValue(changedValue: string | any): void;
    get valueFormat(): string;
    /**
     * Parse, set and validate value.
     * @param changedValue
     */
    private setValueInternal;
    /**
    * Returns HTML date field value in format: "YYYY-DD-MM"
    **/
    get fieldValue(): string;
    /**
     * Gets display value.
     * */
    get displayValue(): string;
}
